# $Revision: 1.35 $, $Date: 2002/09/17 22:28:26 $
Summary:	A web indexing and searching system for a small domain or intranet
Summary(es):	Indexador y mquina de bsqueda para web
Summary(pl):	System indeksowania i przeszukiwania www dla maych domen i intranetu
Summary(pt_BR):	Indexador e mquina de procura para web
Summary(ru):	  web-     intranet
Summary(uk):	  web-   Φ  intranet
Name:		htdig
Version:	3.2.0b3
Release:	3
License:	GPL
Group:		Networking/Utilities
Source0:	http://www.htdig.org/files/%{name}-%{version}.tar.gz
Patch0:		%{name}-glibc22.patch
URL:		http://www.htdig.org/
BuildRequires:	flex
BuildRequires:	zlib-devel
BuildRequires:	libstdc++-devel
PreReq:		webserver
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/htdig

%description
The ht://Dig system is a complete world wide web indexing and
searching system for a small domain or intranet. This system is not
meant to replace the need for powerful internet-wide search systems
like Lycos, Infoseek, Webcrawler and AltaVista. Instead it is meant to
cover the search needs for a single company, campus, or even a
particular sub section of a web site.

As opposed to some WAIS-based or web-server based search engines,
ht://Dig can span several web servers at a site. The type of these
different web servers doesn't matter as long as they understand the
HTTP 1.0 protocol.

%description -l es
El ht://Dig es un sistema completo para indexacin y bsqueda en un
dominio pequeo o intranet. El sistema no fue proyectado para
substituir sistemas ms potentes en Internet como el Lycos, Infoseek,
Webcrawler o Altavista. Su propsito es cubrir las necesidades de una
compaa, campus o mismo una seccin particular de un sitio Web.
Diferentemente de sistemas de bsqueda basados en WAIS o servidores
web el ht://Dig puede cubrir varios servidores web en una
localizacin. El tipo de estos diferentes servidores web no interesa
desde que entiendan el protocolo HTTP 1.0.

%description -l pl
ht://Dig jest kompletnym systemem indeksujcym i przeszukujcym www
dla maych domen oraz intranetu. System nie zosta opracowany jako
wielki system typu Lycos, Infoseek WebCrawler i AltaVista. Natomiast
nadeje si do zastosowania w pojedyczej firmie, kampusie lub
jakiejkolwiek stronie www.

W odrnieniu do innych bazujcych na WAIS-sie lub serwerch www
systemach, ht://Dig moe czy kilka serwerw www w jednym miejscu.
Typ serwera nie ma znaczenia, dopki pracuje on zgodnie z protokoem
HTTP 1.0

%description -l pt_BR
O ht://Dig  um sistema completo para indexao e busca em um domnio
pequeno ou intranet. O sistema no foi projetado para substituir
sistemas mais poderosos para a Internet como o Lycos, Infoseek,
Webcrawler ou Altavista. Seu propsito  cobrir as necessidades para
uma companhia, campus ou mesmo uma seo particular de um site Web.

Diferentemente de sistemas de busca baseados em WAIS ou servidores web
o ht://Dig pode cobrir vrios servidores web em uma localizao. O
tipo destes diferentes servidores web no interessa desde que eles
entendam o protocolo HTTP 1.0.

%description -l ru
 ht://Dig      
 -     intranet.   
      
 Lycos, Infoseek, Webcrawler  AltaVista.   -
      ,  
   -.

    ,   WAIS
  -, ht://Dig   
-    .    -
  ,      HTTP 1.0.

%description -l uk
 ht://Dig       
-Ҧ   Φ  intranet.   
  ͦ  ϦԦ 
  Lycos, Infoseek, Webcrawler  AltaVista.   -
      Φ,   צ
ЦĦ  -.

    ,    WAIS 
 -, ht://Dig   ˦ -Ҧ
   Ԧ.   Ҧ -Ҧ  
, Ȧ   Ц  HTTP 1.0.

%package devel
Summary:	Include files and libraries for htdig
Summary(pl):	Pliki nagwkowe dla htdig
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
This package contains devlopment files for htdig.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe htdig.

%package static
Summary:	htdig static libraries
Summary(pl):	Biblioteki statyczne htdig
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
This package contains static libraries of htdig.

%description static -l pl
Statyczne biblioteki htdig.

%prep
%setup -q
%patch -p1

%build
%configure2_13 \
	--libexec=%{_libdir} \
	--sysconfdir=%{_sysconfdir} \
	--with-image-dir=/home/httpd/html/%{name} \
	--with-cgi-bin-dir=/home/httpd/cgi-bin \
	--with-search-dir=/home/httpd/html \
	--with-config-dir=%{_sysconfdir} \
	--localstatedir=%{_var}/lib

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/cron.daily
ln -sf ../..%{_bindir}/rundig \
	$RPM_BUILD_ROOT/etc/cron.daily/htdig-dbgen

install -d $RPM_BUILD_ROOT/home/httpd/html/htdig/
ln -sf ../../../..%{_defaultdocdir}/%{name}-%{version} \
	$RPM_BUILD_ROOT/home/httpd/html/htdig/htdoc

install -d $RPM_BUILD_ROOT/var/lib/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
# Only run this if installing for the first time
if [ "$1" = 1 ]; then
	for i in `grep '^ServerName' /etc/httpd/httpd.conf | sort -u | awk '{print $2}'`; do echo -n http://$i/; echo -n " "; done > /tmp/htdig.tmp
	SERVERNAMES="`cat /tmp/htdig.tmp`"
	[ -z "$SERVERNAMES" ] && SERVERNAMES="`hostname -f`"
	[ -z "$SERVERNAMES" ] && SERVERNAMES="localhost"
	SERVERNAME=`grep '^ServerName' /etc/httpd/httpd.conf | uniq -d | awk '{print $2}'`
	grep -v -e local_urls -e local_user_urls -e start_url %{_sysconfdir}/htdig.conf > /tmp/htdig.tmp
	mv -f /tmp/htdig.tmp %{_sysconfdir}/htdig.conf
	echo "start_url:$SERVERNAMES
local_urls:		$SERVERNAMES
local_user_urls:	http://$SERVERNAME/=/home/,/public_html/" >> %{_sysconfdir}/htdig.conf

fi

%files
%defattr(644,root,root,755)
%doc COPYING README htdoc
%dir /var/lib/%{name}
%attr (755,nobody,nobody) /home/httpd/cgi-bin/*
%attr (755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/mifluz
%attr (755,root,root) %{_libdir}/*/*.so
%attr (755,root,root) %{_libdir}/*/*.la
%dir /home/httpd/html/%{name}
/home/httpd/html/%{name}/*
%{_datadir}/%{name}/*
%attr(750,root,http) %dir %{_sysconfdir}
%config(noreplace) %{_sysconfdir}/*
%config(missingok noreplace) %verify(not size mtime md5) /home/httpd/html/search.html
%config(missingok) /etc/cron.daily/htdig-dbgen

%files devel
%defattr(644,root,root,755)
%dir %{_includedir}/*
%{_includedir}/*/*

%files static
%defattr(644,root,root,755)
%{_libdir}/*/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: htdig.spec,v $
Revision 1.35  2002/09/17 22:28:26  adgor
- Dir /home/httpd/html/%{name} is now owned by package
- Release 3

Revision 1.34  2002/09/11 23:49:07  adgor
- BR flex
- Added missing %dir
- Release 2

Revision 1.33  2002/04/25 16:34:22  arturs
fixed a small typo

Revision 1.32  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.31  2002/02/19 20:40:53  kloczek
- merge translations from Conectiva and KSI.

Revision 1.30  2002/02/19 18:53:33  gotar
- %desc

Revision 1.29  2002/02/19 18:11:58  misiek
- typo

Revision 1.28  2002/02/19 18:05:42  misiek
- updated to 3.2.0b3

Revision 1.27  2002/02/02 20:18:42  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.26  2002/01/31 21:31:04  ankry
- added Group(es/pt_BR)

Revision 1.25  2002/01/18 02:13:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.24  2001/10/03 16:43:20  filon
- fixed requires in static subpkg
- release 2

Revision 1.23  2001/05/02 16:29:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.22  2000/11/23 15:59:25  pascalek
- updated to 3.2.0b2
- devel and static packages created
- htdig files moved from /usr/local/htdig to proper(?) locations

Revision 1.21  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.20  2000/06/09 07:22:59  kloczek
- added using %%{__make} macro.

Revision 1.19  2000/05/21 15:02:32  kloczek
- spec adapterized.

Revision 1.18  2000/04/01 11:14:43  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.17  2000/03/28 16:54:32  baggins
- translated kloczkish into english

Revision 1.16  2000/03/13 10:27:00  leafnode
- Bugfix in post-install script

Revision 1.15  2000/03/07 21:18:39  leafnode

- updated to 3.1.5
- fixed configuration script

Revision 1.14  1999/07/24 01:20:49  pius
- removed htdig-parser.patch (already applied).

Revision 1.13  1999/07/23 01:09:02  pius
- fixed files location,
- added more macros,
- typos corrected.

Revision 1.12  1999/07/12 23:05:58  kloczek

- added using CVS keywords in %changelog (for automating them).

* Thu Mar 11 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [3.1.1-2]
- added "Prereq: webserwer",
- added -q %setup parameter,
- added noreplace to %config for /home/httpd/html/search.html.

* Thu Mar 11 1999 Konrad Stpie <konrad@interdata.com.pl>
- added pl translation
- added full %attr macros
- fix problem witch /home/httpd/html/htdig/htdoc dir

* Wed Feb 17 1999 Gilles Detillieux <grdetil@scrc.umanitoba.ca>
  - updated to version 3.1.1 final release
  - updated to release 1, included patch for htsearch parser bug

* Thu Feb  4 1999 Gilles Detillieux <grdetil@scrc.umanitoba.ca>
  - put web stuff back in /home/httpd/html & /home/httpd/cgi-bin, so it can
	go over a standard Apache installation on Red Hat
  - cleaned up %install to make use of new features

* Thu Feb 4 1999 Ric Klaren <klaren@telin.nl>
  - changed buildroot stuff
  - minor spec file fixes
  - install web stuff in /home/httpd/htdig
  - made rundig config file

* Tue Sep 22 1998 Gilles Detillieux <grdetil@scrc.umanitoba.ca>
  - Added local_urls stuff to generated htdig.conf file

* Fri Sep 18 1998 Gilles Detillieux <grdetil@scrc.umanitoba.ca>
  - Built the rpm from latest htdig source (3.1.0b1), using earlier
    versions of rpms by Mihai Ibanescu <misa@dntis.ro> and Elliot Lee
    <sopwith@cuc.edu> as a model, incorporating ideas from both.  I've
    made the install locations as FSSTND compliant as I can think of.
